Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Claws Mail extra plugins - plugins for clawsmail
Name:		claws-extra-plugins
Version:	0.1
Release:	1
License:	GNU/GPL 
URL:		http://cms.qballcow.nl/index.php?page=Gnome_Music_Player_Client
Group:		Networking/Mail
Source0:	%{name}-%{version}.tar.gz
Source1:	http://www.claws-mail.org/downloads/plugins/acpi_notifier-1.0.24.tar.gz
Source2:	http://www.claws-mail.org/downloads/plugins/address_keeper-1.0.2.tar.gz
Source3:	http://www.claws-mail.org/downloads/plugins/att_remover-1.0.12.tar.gz
Source4:	http://www.claws-mail.org/downloads/plugins/attachwarner-0.2.20.tar.gz
Source5:	http://www.claws-mail.org/downloads/plugins/bsfilter_plugin-1.0.5.tar.gz
Source6:	http://www.claws-mail.org/downloads/plugins/fancy-0.9.12.tar.gz
Source7:	http://www.claws-mail.org/downloads/plugins/fetchinfo-plugin-0.4.24.tar.gz
Source8:	http://www.claws-mail.org/downloads/plugins/geolocation_plugin-0.0.4.tar.gz
Source9:	http://www.claws-mail.org/downloads/plugins/gtkhtml2_viewer-0.29.tar.gz
Source10:	http://www.claws-mail.org/downloads/plugins/archive-0.6.8.tar.gz
Source11:	http://www.claws-mail.org/downloads/plugins/mailmbox-1.14.5.tar.gz
Source12:	http://www.claws-mail.org/downloads/plugins/notification_plugin-0.26.tar.gz
Source13:	http://www.claws-mail.org/downloads/plugins/tnef_parse-0.3.9.tar.gz
Source14:	http://www.claws-mail.org/downloads/plugins/vcalendar-2.0.9.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires:	gtk2+-devel glib-devel atk-devel pango-devel libglade-devel
BuildRequires:	claws-mail-devel libarchive-devel webkitgtk-devel
BuildRequires:	libgtkhtml-devel xz-devel GConf-devel libproxy-devel
BuildRequires:	gnome-keyring-devel geoclue-devel libchamplain-gtk-devel
BuildRequires:	clutter-gtk-devel libjpeg-devel
BuildRequires:  enchant-devel curl-devel webkitgtk-devel libsoup-devel gobject-introspection-devel gnutls-devel
BuildRequires:  libxml2-devel openssl-devel


BuildRequires:  which pkg-config

# libtool bogus dependencies
BuildRequires:  libacl-devel
BuildRequires:  libxslt-devel
BuildRequires:  sqlite-devel
BuildRequires:  libtasn1-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  libgpg-error-devel
BuildRequires:  libidn-devel
BuildRequires:  openldap-devel
BuildRequires:  cyrus-sasl-devel
BuildRequires:  libssh2-devel

%description
Claws Mail extra plugins - plugins for clawsmail

%package all
Summary:        %name - all plugins
Group:          Networking/Mail
Requires:	%name-acpinotifier
Requires:	%name-addresskeeper
Requires:	%name-attremover
Requires:	%name-attachwarner
Requires:	%name-bsfilter
Requires:	%name-fancy
Requires:	%name-fetchinfo
Requires:	%name-geolocation
Requires:	%name-gtkhtml2-viewer
Requires:	%name-mail-archiver
Requires:	%name-mailmbox
Requires:	%name-notification
Requires:	%name-tnef-parse
Requires:	%name-vcalendar

%description all
will install all gmpc-plugins

   - AcpiNotifier plugin
   - AddressKeeper plugin
   - AttRemover plugin
   - AttachWarner plugin
   - BSfilter plugin
   - Fancy plugin
   - Fetchinfo plugin
   - GeoLocation plugin
   - Gtkhtml2 Viewer plugin
   - Mail Archiver plugin
   - Mail MBOX plugin
   - Notification plugin
   - TNEF parse plugin
   - vCalendar plugin

%package acpinotifier
Summary:        %name - AcpiNotifier plugin
Group:          Networking/Mail

%description acpinotifier
%name - AcpiNotifier plugin
This plugin enables mail notification via LEDs on some laptops (Acer, ASUS, Fujitsu, IBM).

%package addresskeeper
Summary:        %name - AddressKeeper plugin
Group:          Networking/Mail

%description addresskeeper
%name - AddressKeeper plugin
Keeps all recipient addresses in an addressbook folder.any files to the message. 

%package attremover
Summary:        %name - AttRemover plugin
Group:          Networking/Mail

%description attremover
%name - AttRemover plugin
This plugin lets you remove attachments from emails.

%package attachwarner
Summary:        %name - AttachWarner plugin
Group:          Networking/Mail

%description attachwarner
%name - AttachWarner plugin
Warns when the user composes a message mentioning an attachment in the message
body without attaching.any files to the message.

%package bsfilter
Summary:        %name - BSFilter plugin
Group:          Networking/Mail

%description bsfilter
%name - BSFilter plugin
Check all messages that are received from an IMAP, LOCAL or POP account for
spam using Bsfilter. 

%package fancy
Summary:        %name - Fancy plugin
Group:          Networking/Mail

%description fancy
%name - Fancy plugin
Renders HTML e-mail using the WebKit library

%package fetchinfo
Summary:        %name - Fetchinfo plugin
Group:          Networking/Mail

%description fetchinfo
%name - Fetchinfo plugin
This plugin inserts headers containing some download information: UIDL, 
Claws account name, POP server, user ID and retrieval time. 

%package geolocation
Summary:        %name - GeoLocation plugin
Group:          Networking/Mail

%description geolocation
%name - GeoLocation plugin
This plugin provides GeoLocation functionality. 

%package gtkhtml2-viewer
Summary:        %name - Gtkhtml2 Viewer plugin
Group:          Networking/Mail

%description gtkhtml2-viewer
%name - Gtkhtml2 Viewer plugin
Renders HTML mail using the gtkhtml2 rendering widget. 

%package mail-archiver
Summary:        %name - Mail Archiver plugin
Group:          Networking/Mail

%description mail-archiver
%name - Mail Archiver plugin
This plugin adds archiving features to Claws Mail.

%package mail-archiver-devel
Summary:        %name - Mail Archiver plugin devel files (headers)
Group:          Networking/Mail
Requires:	mail-archiver = %version-%release

%description mail-archiver-devel
%name - Mail Archiver plugin devel files (headers)

%package mailmbox
Summary:        %name - Mail MBOX plugin
Group:          Networking/Mail

%description mailmbox
%name - Mail MBOX plugin
This plugin handles mailboxes in mbox format.

%package notification
Summary:        %name - Notification plugin
Group:          Networking/Mail

%description notification
%name - Notification plugin
This plugin provides various ways to notify the user of new and unread email.

%package notification-devel
Summary:        %name - Notification plugin devel files (headers)
Group:          Networking/Mail
Requires:	notification = %version-%release

%description notification-devel
%name - Notification plugin devel files (headers)

%package tnef-parse
Summary:        %name - TNEF parse plugin
Group:          Networking/Mail

%description tnef-parse
%name - TNEF parse plugin
This plugin enables reading application/ms-tnef attachments. 

%package vcalendar
Summary:        %name - vcalendar plugin
Group:          Networking/Mail

%description vcalendar
%name - vCalendar plugin
This plugin enables vCalendar message handling like that produced by Evolution
or Outlook, and handles webCal subscriptions. It provides a personal calendar
and public calendar import and export. 

%package vcalendar-devel
Summary:        %name - vcalendar plugin devel files (headers)
Group:          Networking/Mail
Requires:	vcalendar = %version-%release

%description vcalendar-devel
%name - vCalendar plugin devel files (headers)

%prep
%setup -q -n %{name}-%{version} -a1 -a2 -a3 -a4 -a5 -a6 -a7 -a8 -a9 -a10 -a11 -a12 -a13 -a14

%build
for i in acpi_notifier- address_keeper- archive- attachwarner- att_remover- bsfilter_plugin- fancy- fetchinfo-plugin- geolocation_plugin- gtkhtml2_viewer- mailmbox- notification_plugin- tnef_parse- vcalendar-
do
	cd $i[0-9]*
	./configure --prefix=%_prefix --sysconfdir=%_sysconfdir --mandir=%_mandir
	make
	cd ..
done

%install
rm -rf %{buildroot}
for i in acpi_notifier- address_keeper- archive- attachwarner- att_remover- bsfilter_plugin- fancy- fetchinfo-plugin- geolocation_plugin- gtkhtml2_viewer- mailmbox- notification_plugin- tnef_parse- vcalendar-
do
	cd $i[0-9]*
	make install DESTDIR=%{buildroot}
	cd ..
done
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files all
%defattr(-,root,root)

%files acpinotifier
%defattr(-,root,root)
%_libdir/claws-mail/plugins/acpi_notifier.a
%_libdir/claws-mail/plugins/acpi_notifier.la
%_libdir/claws-mail/plugins/acpi_notifier.so
%_locale/fr/LC_MESSAGES/acpi_notifier.mo
%_locale/de/LC_MESSAGES/acpi_notifier.mo
%_locale/fi/LC_MESSAGES/acpi_notifier.mo
%_locale/pt_BR/LC_MESSAGES/acpi_notifier.mo
%_locale/nl/LC_MESSAGES/acpi_notifier.mo
%_locale/it/LC_MESSAGES/acpi_notifier.mo
%_locale/ru/LC_MESSAGES/acpi_notifier.mo
%_locale/sv/LC_MESSAGES/acpi_notifier.mo
%_locale/sk/LC_MESSAGES/acpi_notifier.mo
%_locale/hu/LC_MESSAGES/acpi_notifier.mo
%_locale/sr/LC_MESSAGES/acpi_notifier.mo
%_locale/ja/LC_MESSAGES/acpi_notifier.mo
%_locale/id/LC_MESSAGES/acpi_notifier.mo
%_locale/cs/LC_MESSAGES/acpi_notifier.mo
%_locale/uk/LC_MESSAGES/acpi_notifier.mo
%_locale/pl/LC_MESSAGES/acpi_notifier.mo
%_locale/es/LC_MESSAGES/acpi_notifier.mo
%_locale/zh_CN/LC_MESSAGES/acpi_notifier.mo
%_locale/ca/LC_MESSAGES/acpi_notifier.mo

%files addresskeeper
%defattr(-,root,root)
%_libdir/claws-mail/plugins/address_keeper.a
%_libdir/claws-mail/plugins/address_keeper.la
%_libdir/claws-mail/plugins/address_keeper.so
%_locale/fr/LC_MESSAGES/address_keeper.mo
%_locale/pt_BR/LC_MESSAGES/address_keeper.mo
%_locale/sk/LC_MESSAGES/address_keeper.mo
%_locale/hu/LC_MESSAGES/address_keeper.mo
%_locale/id/LC_MESSAGES/address_keeper.mo
%_locale/cs/LC_MESSAGES/address_keeper.mo
%_locale/uk/LC_MESSAGES/address_keeper.mo
%_locale/es/LC_MESSAGES/address_keeper.mo
%_locale/ca/LC_MESSAGES/address_keeper.mo

%files attremover
%defattr(-,root,root)
%_libdir/claws-mail/plugins/att_remover.a
%_libdir/claws-mail/plugins/att_remover.la
%_libdir/claws-mail/plugins/att_remover.so

%files attachwarner
%defattr(-,root,root)
%_libdir/claws-mail/plugins/attachwarner.a
%_libdir/claws-mail/plugins/attachwarner.la
%_libdir/claws-mail/plugins/attachwarner.so
%_locale/fr/LC_MESSAGES/attachwarner.mo
%_locale/de/LC_MESSAGES/attachwarner.mo
%_locale/fi/LC_MESSAGES/attachwarner.mo
%_locale/pt_BR/LC_MESSAGES/attachwarner.mo
%_locale/it/LC_MESSAGES/attachwarner.mo
%_locale/ru/LC_MESSAGES/attachwarner.mo
%_locale/sk/LC_MESSAGES/attachwarner.mo
%_locale/hu/LC_MESSAGES/attachwarner.mo
%_locale/sr/LC_MESSAGES/attachwarner.mo
%_locale/ja/LC_MESSAGES/attachwarner.mo
%_locale/id/LC_MESSAGES/attachwarner.mo
%_locale/cs/LC_MESSAGES/attachwarner.mo
%_locale/pl/LC_MESSAGES/attachwarner.mo
%_locale/es/LC_MESSAGES/attachwarner.mo
%_locale/ca/LC_MESSAGES/attachwarner.mo

%files bsfilter
%defattr(-,root,root)
%_libdir/claws-mail/plugins/bsfilter.a
%_libdir/claws-mail/plugins/bsfilter.la
%_libdir/claws-mail/plugins/bsfilter.so
%_locale/fr/LC_MESSAGES/bsfilter_plugin.mo
%_locale/fi/LC_MESSAGES/bsfilter_plugin.mo
%_locale/pt_BR/LC_MESSAGES/bsfilter_plugin.mo
%_locale/nl/LC_MESSAGES/bsfilter_plugin.mo
%_locale/it/LC_MESSAGES/bsfilter_plugin.mo
%_locale/ru/LC_MESSAGES/bsfilter_plugin.mo
%_locale/sk/LC_MESSAGES/bsfilter_plugin.mo
%_locale/hu/LC_MESSAGES/bsfilter_plugin.mo
%_locale/ja/LC_MESSAGES/bsfilter_plugin.mo
%_locale/id/LC_MESSAGES/bsfilter_plugin.mo
%_locale/cs/LC_MESSAGES/bsfilter_plugin.mo
%_locale/es/LC_MESSAGES/bsfilter_plugin.mo
%_locale/ca/LC_MESSAGES/bsfilter_plugin.mo

%files fancy
%defattr(-,root,root)
%_libdir/claws-mail/plugins/fancy.a
%_libdir/claws-mail/plugins/fancy.la
%_libdir/claws-mail/plugins/fancy.so
%_locale/fr/LC_MESSAGES/fancy.mo
%_locale/fi/LC_MESSAGES/fancy.mo
%_locale/nl/LC_MESSAGES/fancy.mo
%_locale/it/LC_MESSAGES/fancy.mo
%_locale/ru/LC_MESSAGES/fancy.mo
%_locale/sk/LC_MESSAGES/fancy.mo
%_locale/hu/LC_MESSAGES/fancy.mo
%_locale/ja/LC_MESSAGES/fancy.mo
%_locale/id/LC_MESSAGES/fancy.mo
%_locale/cs/LC_MESSAGES/fancy.mo
%_locale/es/LC_MESSAGES/fancy.mo
%_locale/ca/LC_MESSAGES/fancy.mo

%files fetchinfo
%defattr(-,root,root)
%_libdir/claws-mail/plugins/fetchinfo_plugin.a
%_libdir/claws-mail/plugins/fetchinfo_plugin.la
%_libdir/claws-mail/plugins/fetchinfo_plugin.so

%files geolocation
%defattr(-,root,root)
%_libdir/claws-mail/plugins/geolocation_plugin.a
%_libdir/claws-mail/plugins/geolocation_plugin.la
%_libdir/claws-mail/plugins/geolocation_plugin.so
%_locale/fr/LC_MESSAGES/geolocation_plugin.mo
%_locale/fi/LC_MESSAGES/geolocation_plugin.mo
%_locale/pt_BR/LC_MESSAGES/geolocation_plugin.mo
%_locale/nl/LC_MESSAGES/geolocation_plugin.mo
%_locale/sk/LC_MESSAGES/geolocation_plugin.mo
%_locale/hu/LC_MESSAGES/geolocation_plugin.mo
%_locale/ja/LC_MESSAGES/geolocation_plugin.mo
%_locale/id/LC_MESSAGES/geolocation_plugin.mo
%_locale/cs/LC_MESSAGES/geolocation_plugin.mo
%_locale/es/LC_MESSAGES/geolocation_plugin.mo
%_locale/ca/LC_MESSAGES/geolocation_plugin.mo

%files gtkhtml2-viewer
%defattr(-,root,root)
%_libdir/claws-mail/plugins/gtkhtml2_viewer.a
%_libdir/claws-mail/plugins/gtkhtml2_viewer.la
%_libdir/claws-mail/plugins/gtkhtml2_viewer.so
%_locale/fr/LC_MESSAGES/gtkhtml2_viewer.mo
%_locale/de/LC_MESSAGES/gtkhtml2_viewer.mo
%_locale/fi/LC_MESSAGES/gtkhtml2_viewer.mo
%_locale/nl/LC_MESSAGES/gtkhtml2_viewer.mo
%_locale/pt_BR/LC_MESSAGES/gtkhtml2_viewer.mo
%_locale/it/LC_MESSAGES/gtkhtml2_viewer.mo
%_locale/ru/LC_MESSAGES/gtkhtml2_viewer.mo
%_locale/sk/LC_MESSAGES/gtkhtml2_viewer.mo
%_locale/hu/LC_MESSAGES/gtkhtml2_viewer.mo
%_locale/sr/LC_MESSAGES/gtkhtml2_viewer.mo
%_locale/ja/LC_MESSAGES/gtkhtml2_viewer.mo
%_locale/id/LC_MESSAGES/gtkhtml2_viewer.mo
%_locale/cs/LC_MESSAGES/gtkhtml2_viewer.mo
%_locale/zh_CN/LC_MESSAGES/gtkhtml2_viewer.mo
%_locale/pl/LC_MESSAGES/gtkhtml2_viewer.mo
%_locale/es/LC_MESSAGES/gtkhtml2_viewer.mo
%_locale/ca/LC_MESSAGES/gtkhtml2_viewer.mo

%files mail-archiver
%defattr(-,root,root)
%_libdir/claws-mail/plugins/archive.a
%_libdir/claws-mail/plugins/archive.la
%_libdir/claws-mail/plugins/archive.so
%_locale/fr/LC_MESSAGES/archive.mo
%_locale/fi/LC_MESSAGES/archive.mo
%_locale/pt_BR/LC_MESSAGES/archive.mo
%_locale/nl/LC_MESSAGES/archive.mo
%_locale/it/LC_MESSAGES/archive.mo
%_locale/ru/LC_MESSAGES/archive.mo
%_locale/sk/LC_MESSAGES/archive.mo
%_locale/hu/LC_MESSAGES/archive.mo
%_locale/ja/LC_MESSAGES/archive.mo
%_locale/id/LC_MESSAGES/archive.mo
%_locale/cs/LC_MESSAGES/archive.mo
%_locale/uk/LC_MESSAGES/archive.mo
%_locale/es/LC_MESSAGES/archive.mo
%_locale/ca/LC_MESSAGES/archive.mo
%_includedir/claws-mail/plugins/archive/archiver_prefs.h
%_includedir/claws-mail/plugins/archive/archiver.h

%files mailmbox
%defattr(-,root,root)
%_libdir/claws-mail/plugins/mailmbox.a
%_libdir/claws-mail/plugins/mailmbox.la
%_libdir/claws-mail/plugins/mailmbox.so

%files notification
%defattr(-,root,root)
%_libdir/claws-mail/plugins/notification_plugin.a
%_libdir/claws-mail/plugins/notification_plugin.la
%_libdir/claws-mail/plugins/notification_plugin.so
%_locale/fr/LC_MESSAGES/notification_plugin.mo
%_locale/fi/LC_MESSAGES/notification_plugin.mo
%_locale/pt_BR/LC_MESSAGES/notification_plugin.mo
%_locale/nl/LC_MESSAGES/notification_plugin.mo
%_locale/it/LC_MESSAGES/notification_plugin.mo
%_locale/ru/LC_MESSAGES/notification_plugin.mo
%_locale/sk/LC_MESSAGES/notification_plugin.mo
%_locale/hu/LC_MESSAGES/notification_plugin.mo
%_locale/ja/LC_MESSAGES/notification_plugin.mo
%_locale/id/LC_MESSAGES/notification_plugin.mo
%_locale/cs/LC_MESSAGES/notification_plugin.mo
%_locale/zh_CN/LC_MESSAGES/notification_plugin.mo
%_locale/es/LC_MESSAGES/notification_plugin.mo
%_locale/ca/LC_MESSAGES/notification_plugin.mo
%_includedir/notification_plugin/gtkhotkey/gtkhotkey.h
%_includedir/notification_plugin/gtkhotkey/gtk-hotkey-registry.h
%_includedir/notification_plugin/gtkhotkey/eggaccelerators.h
%_includedir/notification_plugin/gtkhotkey/gtk-hotkey-info.h
%_includedir/notification_plugin/gtkhotkey/gtk-hotkey-utils.h
%_includedir/notification_plugin/gtkhotkey/gtk-hotkey-listener.h
%_includedir/notification_plugin/gtkhotkey/gtk-hotkey-x11-listener.h
%_includedir/notification_plugin/gtkhotkey/gtk-hotkey-key-file-registry.h
%_includedir/notification_plugin/gtkhotkey/tomboykeybinder.h
%_includedir/notification_plugin/gtkhotkey/gtk-hotkey-error.h
%_includedir/notification_plugin/gtkhotkey/gtk-hotkey-marshal.h

%files tnef-parse
%defattr(-,root,root)
%_libdir/claws-mail/plugins/tnef_parse.a
%_libdir/claws-mail/plugins/tnef_parse.la
%_libdir/claws-mail/plugins/tnef_parse.so
%_locale/fr/LC_MESSAGES/tnef_parse.mo
%_locale/fi/LC_MESSAGES/tnef_parse.mo
%_locale/pt_BR/LC_MESSAGES/tnef_parse.mo
%_locale/nl/LC_MESSAGES/tnef_parse.mo
%_locale/it/LC_MESSAGES/tnef_parse.mo
%_locale/ru/LC_MESSAGES/tnef_parse.mo
%_locale/sk/LC_MESSAGES/tnef_parse.mo
%_locale/hu/LC_MESSAGES/tnef_parse.mo
%_locale/ja/LC_MESSAGES/tnef_parse.mo
%_locale/id/LC_MESSAGES/tnef_parse.mo
%_locale/cs/LC_MESSAGES/tnef_parse.mo
%_locale/es/LC_MESSAGES/tnef_parse.mo
%_locale/ca/LC_MESSAGES/tnef_parse.mo

%files vcalendar
%defattr(-,root,root)
%_libdir/claws-mail/plugins/vcalendar.a
%_libdir/claws-mail/plugins/vcalendar.la
%_libdir/claws-mail/plugins/vcalendar.so
%_locale/de/LC_MESSAGES/vcalendar.mo
%_locale/fr/LC_MESSAGES/vcalendar.mo
%_locale/fi/LC_MESSAGES/vcalendar.mo
%_locale/pt_BR/LC_MESSAGES/vcalendar.mo
%_locale/nl/LC_MESSAGES/vcalendar.mo
%_locale/it/LC_MESSAGES/vcalendar.mo
%_locale/ru/LC_MESSAGES/vcalendar.mo
%_locale/sk/LC_MESSAGES/vcalendar.mo
%_locale/hu/LC_MESSAGES/vcalendar.mo
%_locale/sr/LC_MESSAGES/vcalendar.mo
%_locale/ja/LC_MESSAGES/vcalendar.mo
%_locale/id/LC_MESSAGES/vcalendar.mo
%_locale/cs/LC_MESSAGES/vcalendar.mo
%_locale/zh_CN/LC_MESSAGES/vcalendar.mo
%_locale/pl/LC_MESSAGES/vcalendar.mo
%_locale/es/LC_MESSAGES/vcalendar.mo
%_locale/ca/LC_MESSAGES/vcalendar.mo
%_includedir/claws-mail/plugins/vcalendar/ical.h
%_includedir/claws-mail/plugins/vcalendar/vcal_interface.h

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Dec 23 2010 Stefan Gottwald <gotti@ccux-linux.de> 0.1-1
- Initial Release

